<form #companyForm="ngForm" (ngSubmit)="processCompanyForm(companyForm, companyForm.value)">
  <label for="nameField">Name:</label>
  <input type="text" name="name" id="nameField" ngModel>
  <label for="streetAddressField">Street:</label>
  <input type="text" name="streetAddress" id="streetAddressField" ngModel>
  <label for="postCodeAddressField">Post code:</label>
  <input type="text" name="postCodeAddress" id="postCodeAddressField" ngModel>
  <label for="cityAddressField">City:</label>
  <input type="text" name="cityAddress" id="cityAddressField" ngModel>
  <input type="submit" value="Send">
</form>
